sfcode An Online Competing and Development Environment

cli-spinners

> 70+ spinners for use in the terminal

The list of spinners is just a JSON file and can be used wherever.

You probably want to use one of these spinners through the `ora` module.

# Install

$ npm install cli-spinners

# Usage

const cliSpinners = require('cli-spinners');
console.log(cliSpinners.dots);
/*
{
interval: 80,
frames: ['⠋', '⠙', '⠹', '⠸', '⠼', '⠴', '⠦', '⠧', '⠇', '⠏']
}
*/

# Preview

The header GIF is outdated. See all the spinner at once or one at the time.

# API

Each spinner comes with a recommended `interval` and an array of `frames`.

See the spinners.

The `random` spinner will return a random spinner each time it's called.

# Related

- ora - Elegant terminal spinner
- CLISpinner - Terminal spinners for Swift
- py-spinners - Python port
- spinners - Terminal spinners for Rust